Subject: bug#12419: Mouse click changes layout

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Sep 2012 19:56:34 +0300

> Date: Fri, 14 Sep 2012 17:16:24 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
>  > Wouldn't using the "asymmetric" resizing do the job here?  I don't
>  > think the symmetric variant is ever TRT when triggered by resizing the
>  > minibuffer window.
> 
> Asymmetric resizing doesn't size back correctly when any window but a
> bottommost one gets resized while enlarging the minibuffer window.  the
> idea of asymmetric dragging is that in a configuration like this
> 
>   ------------
> |            |
> |            |
>   ------------
> |            |
> |            |
>   ------------
> |            |
> |            |
>   ------------
> 
> you drag the lower divider up you first get
> 
>   ------------
> |            |
> |            |
>   ------------
> |            |
>   ------------
> |            |
> |            |
> |            |
>   ------------
> 
> and then
> 
>   ------------
> |            |
>   ------------
> |            |
>   ------------
> |            |
> |            |
> |            |
> |            |
>   ------------
> 
> because the idea is that you want to show more in the bottom window.
> When you now drag the same divider back you get
> 
>   ------------
> |            |
>   ------------
> |            |
> |            |
>   ------------
> |            |
> |            |
> |            |
>   ------------
> 
> because the idea is to show more of the middle window and then
> 
>   ------------
> |            |
>   ------------
> |            |
> |            |
> |            |
>   ------------
> |            |
> |            |
>   ------------
> 
> which is not the initial configuration.

I was talking about mini-window resize, and that alone.  I was asking
whether using the asymmetric method when the trigger is resize of the
mini-window would do the job.

Situations where mini-window grows so much as to resize windows other
than the one immediately above it are very rare, so I don't think we
should be bothered by them, at least not initially.